InterVideo WinRip

Welcome to InterVideo WinRip, a state-of-the-art software application that provides you with a complete audio playback and recording environment.

Use the topics in this manual to get the most from WinRip.

©1998-2000 InterVideo, Incorporated. All rights reserved.


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A |
B |
Balance | Adjusts the volume between left and right speakers.
C |
Configuration Wizard | The Configuration Wizard sets user preferences, also available from Properties on the Toolbar.
Compression | Converting data into a more compact form for storage or transmission.
D |
DSP | Digital Signal Processing (DSP). A way of producing sound effects by processing the digital sound.
Drag n Drop | A way of moving and copying files, images and other items by selecting and dragging them from one location to another.
E |
Echo | Adds an Echo (repeating delay) to the music that is currently playing.
Effects | WinRip DSP sound effects enhance music by simulating various, listening environments, and adjusting the sound the way you like it.
H |
Hall | Hall simulates the sound effect of music being played in a hall environment.
I |
IDI | InterVideo Data Injection (IDI). Allows users to see information embedded in WinRip encoded MP3 files.
J |
Jukebox Mode | WinRip's user interface mode that allows users to play audio CD's and files, record audio, organize, manage and search for audio tracks, access the web and view IDI content.
K |
Karaoke | DSP effect that removes lead vocals from many songs, so you can sing along.
Key Shift | WinRip has the ability to shift the musical key of the music up or down to match your vocal range.
kbps | Kilobytes per second. The higer kbps the higher the sound quality.
L |
Line In | Line In allows an external device to be connected to a sound card allowing the source to be recording .
M |
MIDI | Musical Interface Digital Information (MIDI). A popular format for composing and performing music. Files with the *.mid extension can be played in WinRip.
Mixer | WinRip's Mixer allows you control the sound levels of various input and output devices while playing and recording.
MP3 | Standard technology and format for compression of a sound sequence into a very small file.
Multimedia | Any format that contains more than one media, such as text, still images, sound, animation, and video.
Music Gallery | WinRip's database where all your digital music files are cataloged.
P |
Player Mode | WinRip's compact user interface for playing audio files, with user selectable skins.
Playlist | A Playlist is a user-created list of favorite audio tracks.
Preferences | Preferences are program options you can configure for the way you work.
R |
Right-Click menu | Clicking on the right mouse button within WinRip displays a right-click menu with features relating to the current mode.
S |
Shuffle | Playlist option. Plays the tracks in the list in a random order.
Skin | Skins are used to change the appearance of WinRip in Player Mode.
Snapin Area | The Snapin Area is the main window within the JukeBox mode. Its function depends on the selected component (e.g. Playlist, Web Links, Music Gallery, etc.)
Status Area | The WinRip Status Area displays the current operation, such as Playing, Recording,etc, along with current Volume, elapsed time, etc.
Surround | The DSP surround effect helps to widen the sound sources when stereo speakers are close together, as with desktop or notebook PCs.
T |
TreeView | WinRip's TreeView gives quick access to all WinRip components (Audio CD, Music Gallery, Mixer, Playlist, Web Links, and IDI) and allows easy visual manipulation of content through features such as Drag and Drop.
V |
Visual | Option in Preferences for selecting animated graphics that display with your music. WinRip includes a spectrum display and supports WinAmp plugins.
W |
WAVE | WAVE audio format. Music in this format is uncompressed, and will take up about 10 times more space on your hard drive than a comparable MP3 format file.
Wizard | A routine within an application that configures/sets applcation options.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z


Legal Info

©1998-2000 InterVideo, Incorporated. All rights reserved.

The information contained herein is subject to change without notice. While every reasonable effort was made to ensure the completeness and correctness of this document, InterVideo Inc. makes no warranty of any kind with regard to this material, including but not limited to any implied warranties. InterVideo shall not be liable for errors or omissions contained herein or for any damages relating to the use of this material.

WinRip is a trademark of InterVideo Incorporated.

Microsoft, Windows, Windows 95, Windows 98, Windows 2000, Windows NT and Windows ME are registered trademarks of the Microsoft Corporation. All other brand or product names are trademarks of their respective holders.

WinRip ues the CDDB2 Disc Recognition ServiceSM (DRS) from CDDB, Inc. to get the artist, title, track, credit, and other information about the CDs you play. This service is FREE and automatic. The first time you use the service, you must register with CDDB.

CD-related data through the Internet from CDDB™ Music CD Database,
Copyright 1999, 2000 CDDB, Inc. CDDB Client Software, Copyright 1999, 2000 CDDB, Inc.
CDDB-Enabled, CDDB and the CDDB2 Logo are trademarks of CDDB, Inc.
Disk Recognition Service and DRS are service makes of CDDB, Inc.

This document is protected by US copyright laws. No part of this document may be reproduced in any manner without prior written consent of InterVideo, Inc.

InterVideo, Inc.
47350 Fremont Blvd.
Fremont, CA 94538, USA
www.intervideo.com


WinRip Features

WinRip Feature Overview

WinRip contains two user interface presentation modes: Player Mode and Jukebox Mode. Each mode has its own set of features, though some are also common between the two modes.

Included within these two user interface presentation modes are the following main WinRip features:

Support for various audio formats. (MP3, WAVE, MIDI, Audio CD, and more).

DSP Sound Effects - Hall, Vocal, Rock, Soft, Bass, Surround, Echo Karaoke, and Key Shift.

CDDB Database - Automatically links the Audio CD with the Gracenote CDDB2 music database.

Audio file conversion - InterVideo WinRip can record or convert between audio file formats (from MP3, Audio CD, and WAVE to MP3 and WAVE formats.

CD Player/Recorder - InterVideo WinRip Audio CD Player/Recorder is a CDDB2 enabled Audio CD player and the recorder performs Audio CD playback and digital audio track ripping to WAV and MP3 formats.

Music Gallery - The Music Gallery is a database of audio tracks collected from your system. The Music Gallery manages tracks by Artist, Album, Genre. Users can also sort tracks.

Playlist - The Playlist allows you to create a list of favorite tracks.

Mixer - Allows you to set playback and recording levels without leaving the application. Also useful for recording from Line, Mic or any another source available on the computer.

Web Links - Provides links to popular Internet sites.

IDI - InterVideo's Data Injection technology


Player Mode

The WinRip Player Mode can be enabled from the Player Mode icon from the JukeBox Toolbar, this loads the Player Mode user interface which contains controls and displays information for the following:

  • Player Mode Interface

  • Right-Click menu Description

  • Playlist

  • DSP/Effect Console

  • Skins

  • Transport controls

Related topics

  • JukeBox Mode


PlayerMode Interface

Player Mode

The Player Mode interface is a compact GUI for general playback of music files. The Player Mode UI includes a display area where information on the current play status is shown, and a control area which holds the transport controls and buttons to that control the playback of your audio.

Player Mode also supports different Skins which change the shape, color, and general design of the UI. Below is a screen shot of the default WinRip Skin.

player mode fullscreen v1027.gif (12053 bytes)

The Player Mode display area

  • Track name - Right-Clicking on the Track name displays the Multi Color/ Setting Color menu. Selecting Multi-Color turns on multi colors for the Track name. To set the Track name color back to fixed color, use the Setting Color option below.

player mode track title.gif (437 bytes)

  • kbps

player mode kbps.gif (311 bytes)

  • Current track number

player mode track number.gif (320 bytes)

  • Time elapsed / Time remaining - Clicking on the time changes the displayed time back and forth between Time elapsed and Time remaining

player mode time.gif (444 bytes)

  • Play Status - Displays whether the track is:

Playing player mode display play.gif (137 bytes)

Stopped player mode display stop.gif (103 bytes)

Pause player mode display pause.gif (106 bytes)

Mute - Displays whether play is muted player mode display mute.gif (235 bytes) or not player mode display nomute.gif (383 bytes) .

The Mute Icon also happens to be a control. Clicking on this icon enables or disables Mute. Enabling Mute stops the volume but continues with play, disabling the Mute returns to the volume to its previous level

The Player Mode Control information

The Player Mode interface gives various control functions which include:

  • Repeat - Replays the song or entire list of songs.

    With Shuffle disabled, playback of a list of songs will not repeat until each and every song has been played once. With Shuffle enabled, songs in the list may repeat at random.

Clicking on the Repeat button steps through the repeat options and removes or adds one of the repeat icons:

Enables Repeat All Songs player mode display repeatall.gif (71 bytes)

Enables Repeat 1 Song player mode display repeat1.gif (74 bytes)

Disables Repeat (removes the repeat icon)

  • Shuffle - Plays tracks in the playlist in a random order. (See Repeat for an explanation of how these two functions interact.)

Selecting the Shuffle button enables or disables shuffle and adds or removes the shuffle icon from the Player Mode. player mode shuffle icon.gif (74 bytes)

  • Balance - Clicking on the Balance slider bar and dragging it left or right adjusts the volume between the right and left speakers accordingly.

  • Volume - The volume slide bar controls the output volume.

  • ? - Loads this WinRip Help Document.

  • Seek - Selecting the Seek slider bar allows you to drag left and right to move backwards and forwards through the currently playing track.

  • Transport Controls

  • Playlist Window

  • Preferences

  • JukeBox Mode - Switches from Player Mode to JukeBox Mode

  • WinCinema

  • DSP Effects Window

  • I-Access (Intervideo Web Site)

Related topics

  • JukeBox Mode


Playerlist

Playlist Window (Player Mode)

The Player Mode user interface contains a Playlist option:

player mode playlist.gif (24916 bytes)

Selecting the Playlist option opens the Playlist Window. This window displays the track numbers, track title and time duration of each track in the current Playlist.

The Player Mode Playlist Window also contains the following controls:

[ +] The + option allows files supported by WinRip to be loaded into the playlist. Both individual files and entire folders may be added.

[ - ] The - option allows the selected tracks to be removed from the playlist.

[ ] The arrowhead symbol allows one or more tracks in the playlist to be selected and has three options:

player mode playlist keys arrow.gif (1786 bytes)

player mode playlist keys arrow options.gif (1133 bytes)

Top Option - selects all tracks apart from the currently selected tracks.

Middle option - Deselects all selected tracks.

Lower option - Selects all tracks.

File information - This button display any information that is associated with the MP3 file, see IDI.

player mode playlist keys IDI.gif (2117 bytes)

Save Playlist - Loads the SaveAs dialog box and allows the user to save the current playlist to a new playlist file (*.M3u).

player mode playlist keys save playlist.gif (1265 bytes)

Right-Clicking in the playlist window displays the Operate menu which includes the following functions:

player mode playlist right click menu.gif (1401 bytes)

Play - Plays the selected track. (The selected track is highlighted.)

Stop - Stops the playing track. (The playing track is indicated by bold text.

Pause - Pauses the playing track.

Move Up - Moves the selected track up the playlist

Move Down - Moves the selected track down the playlist

Remove - Remove the selected track from the playlist

Remove All - Removes all tracks from the playlist

Related topics

  • Playlist


Skins

A Skin is a different user interface that can be used with the WinRip PlayerMode, the PlayerMode has various Skins that can be used.

Selecting Skins from the PlayMode Right-Click menu displays the following options:

player mode menu skin.gif (22411 bytes)

Skin Browser Alt+S - Loads the InterVideo WinRip Skin Browser dialog box. This allows different Skins to be selected and immediately loaded.

playermode_skin_browser.gif (8537 bytes)

The currently used skin is indicated with a tick in the list of skins from PlayerMode Right-Click Skins menu.

The skins are stored in the skins sub-directory of the WinRip installation directory and additional Skins can be downloaded from http://www.intervideo.com

Related topics

  • Right-Click Description


Professional DSP Sound Effects

Player Mode DSP Sound Effects

The DSP display is located on the right side of the main Player Mode window.

The DSP window can be opened and closed turned on and off by clicking the icon [SHOW ICON] between the Player Mode window and the DSP window.

All of the effects except for Key Shift work on MP3, WAV, CDA and MIDI formats.

Preset EQ (Equalization)

Hall, Vocal, Rock, Soft and Bass equalizations are provided.

Karaoke

This effect removes the lead vocal from certain songs, so the user can sing along.

The Surround effect creates an illusion that sound is coming from outside of the area where the speakers are placed. This is especially helpful for listening to stereo music on notebook computers or on desktops where the speakers are very close together.

The Echo effect can be used on some songs to create a bigger and more spatious sound.

Key Shift transposes the playback one musical step at a time, so that it is easier to sing or play along. It does not work on MIDI files.

Related topics

  • Changing DSP Sound Effects in Jukebox Mode


JukeBox

JukeBox Mode

The WinRip JukeBox mode gives the user the ability to Play Audio CD's and Audio files, Record Audio, Organize, Manage and Search for Audio tracks with WinRip's Playlist and Music Gallery features.

The WinRip JukeBox user interface contains the following functions:

  • Menu Bar
  • Toolbar
  • Shortcut Menus
  • Snapin Area
  • Status Display Area
  • TreeView


Import Wizard

Import Wizard (JukeBox Mode)

The Import Wizard is accessed from the Music Gallery and allows the user to search and load the all supported Media files.

The Media Types check boxes allow you to specify which media file types to be searched for, and contains the options for MP3 Files (.mp3, .pls, .m3u), Wave Files (.wav), MIDI Files (.mid).

The Browse button in the Import Files dialog box allows you to browse to a specific search location.

The Start Search begins the search for the file types enabled in the Media Types check boxes, and in the location specified with the Browse button.

jukebox_main_screen_importwizard .gif (8207 bytes)

Related topics

  • Music Gallery


Recording from an Audio CD

Recording from an Audio CD (JukeBox Mode)

The record format is set via the Properties pull-down menu. Select Preferencs and set the Record Format - WAV or MP3, and the Record Path. (This also set at the time of installation of the program, and does not need to be reset unless you want to change the record format.

To record from an Audio CD:

1. Insert the Audio CD

2. There are various methods to start the Recording

- Right-Click on the desired track and select Record from the shortcut menu

- Select the relevant track and then click the Record icon in the toolbar

- Select the relevant track and then select Record from the Playback pull-down menu

The recorded file will be stored in the location specified in Properties > Record Path, then ..\Artist\Album\Track name.mp3 or .wav.


Music Gallery

Music Gallery (JukeBox Mode)

The WinRip Music Gallery is a database that collects information from the audio files on your system, users can then manage these by Artist, Album and Genre. Once in the Music Gallery the Search feature can be used to easily find tracks based on keywords from the Track Name, Artist, Album, Genre.

jukebox_main_screen_musicgallery .gif (30266 bytes)

  • Adding Tracks to the Music Gallery

  • Changing the Track display order

  • Editing the Track information

  • Searching the Music Gallery

  • Playing a Track in the Music Gallery

  • Recording & File Conversion in the Music Gallery

  • Removing a track from the Music Gallery

Related topics

  • Import wizard


Creating a new Playlist

A new Playlist in Jukebox Mode can be created from one of the following methods:

  • The New Playlist icon jukeboxmode_create_playlist.gif (767 bytes) in the JukeBox toolbar. Selecting this icon loads the New Playlist dialog box, this allows you to enter a name for the new playlist, selecting OK creates a new playlist with the name you entered.

jukeboxmode_new_playlist.gif (5094 bytes)

If you enter a playlist name that already exists, WinRip will show the warning dialog box and return you to the New Playlist dialog box to enter a playlist name that does not already exist.

  • From the Audio CD Player/Encoder or Music Gallery track list, right-click on the track listing and select Add to playlist and then the New Playlist option to load the New Playlist dialog box.

jukeboxmode_add_to_playlist.gif (3028 bytes)

  • A new Playlist can also be created from TreeView. Within TreeView expand the Playlist option to show New Playlist, selecting this loads the New Playlist dialog box, which allows the user to enter a new playlist name, once the name is entered press OK, the new Playlist appears in the TreeView.

Related topics

  • Adding Tracks to a Playlist
  • Playlist
  • Player Mode Playlist


Snapin Area

The WinRip Snapin Area is the main window within the JukeBox mode, this area will vary depending on the Shortcut menu selected, and displays information on the selected feature, Track listings, Track information, PlayLists, Music Gallery, Mixer, Global Music, etc.

Related topics

  • Status Area
  • Shortcut menu


Audio CD

jukebox_main_screen_audiocd.gif (1232 bytes)

The AUDIO CD function allows the user to play and record individual or multiple tracks to the hard drive in MP3 and Wave formats.

Selecting the Play/Record Audio CD button from the Home Snapin loads the Audio CD Snapin. If the system has two or more CD Drives, this screen will allow choosing the drive to Play/Record.

jukebox_main_screen_audiocd_confirm 1031.gif (22071 bytes)

If an Audio CD is loaded, or on inserting an Audio CD, the Artist, Album and Genre details will be displayed along with a track listing which shows Track number, Title and Length of this track.

jukebox_main_screen_audiocd_loaded.gif (6214 bytes)

If no audio CD is loaded an appropriate message will appear.

The track list sort order can be changed by selecting one of the title heading columns.

Playing an Audio CD

1. Select the relevant track from the track list

2. Once a track is selected there are various methods to start the track playing:

Right-Click on the track and select Play from the right-click menu

jukebox_main_screen_audiocd_play1.gif (3399 bytes)

Select the Play icon from the toolbar

Select Play from the Playback pulldown menu

Press the Enter key on the keyboard

Recording from an Audio CD (JukeBox Mode)

The record format is set via the Properties pull-down menu. Select Preferencs and set the Record Format - WAV or MP3, and the Record Path. (This also set at the time of installation of the program, and does not need to be reset unless you want to change the record format.

To record from an Audio CD:

1. Insert the Audio CD

2. There are various methods to start the Recording

- Right-Click on the desired track and select Record from the shortcut menu

- Select the relevant track and then click the Record icon in the toolbar

- Select the relevant track and then select Record from the Playback pull-down menu

The recorded file will be stored in the location specified in Properties > Record Path, then ..\Artist\Album\Track name.mp3 or .wav.


Mixer

Mixer (JukeBox Mode)

WinRip's Mixer allows you to set play and record levels for all of the audio sources on your PC.

Anything that you can play on your PC, can also be recorded to your hard drive as MP3 or Wave audio using WinRip's Mixer.

When Mixer is selected two options are presented, Record and Playback.

jukebox_main_screen_mixer.gif (17556 bytes)

The Record option gives a graphical interface which gives controls for Input Level, Balance and Mute for:

jukebox_main_screen_mixer_rec2.gif (4808 bytes)

1. Overall record input level (no mute)

2. MIDI

3. CD

4. Line

5. Mic

The Playback option gives a graphical interface which gives controls for Volume, Balance and Mute for:

jukebox_main_screen_mixer_play.gif (6673 bytes)

1. Overall Volume independent of device

2. Wave/Audio files

3. MIDI

4. CD

5. Line

6. Mic

7. PC Spk


PlayList

The Playlist allows you to create a list of favorite tracks.

Selecting the Playlist option from the main screen menu displays the available Playlists.

Selecting a track and right clicking displays the Right-Click shortcut menu with the following options:

Play - Plays the track(s) in the playlist. Double clicking on a track automatically starts play

Stop - Stops the current play or record

Pause - Pauses the current play or record

Move Up - Moves the selected track up one in the Playlist

Move Down - Moves the selected track down one in the Playlist

Remove - Removes the selected tracks from the Playlist - Multiple tracks can be selected by using the Shift or Ctrl keys while selecting the tracks.

Remove All - Removes all tracks from the playlist

Track Info - Displays track list information

The track list display order can be changed by selecting the Track or Length title headings.

Related topics

  • Adding a track to a Playlist
  • Creating a new Playlist
  • PlayerMode Playlist


Global Music

Web Links (JukeBox Mode)

WinRip's Web Links provide users with useful Internet link locations, which include links to Buy, Search and download music On-Line.

Note: The Web Link snapin may be customized by the distributor of your copy of software, and may not be the same as the one shown here.

jukebox_main_screen_globalmusic 1031.gif (25152 bytes)


IDI

jukebox_main_screen_IDI_key .gif (2343 bytes)

IDI - InterVideo data Injection.

InterVideo's Data Injection technology allows WinRip encoded MP3 files users to "watch" their MP3 files. Users can have the song lyrics or other messages display along with the song, and special versions of WinRip are available to recording artists who want to add web pages and linked content to their music.

The track listing in the Music Gallery contains an IDI column which displays whether IDI content exists within MP3 files.

To view injected content while an MP3 file is playing, select IDI from the Shortcut menu and any embedded IDI information will display in a web browser in the Snapin area. Selecting IDI from the TreeView also displays any embedded IDI information.

The Preferences option can be used to make IDI display happen automatically whenever IDI content is detected (or disable the automatic display if desired).

Related topics

  • IDI Editor

  • Preferences


Menubar

Menubar (JukeBox Mode)

The InterVideo WinRip Menu Bar contains the following functions:

jukebox_main_menubar.gif (3068 bytes)

  • File
  • Edit
  • View
  • Playback
  • Properties
  • Help


Toolbar

Toolbar (JukeBox Mode)

The WinRip Toolbar is located within the JukeBox mode, and allows quick access to the following frequently used controls:

jukebox_main_toolbar.gif (4116 bytes)

Tranport Controls

Record - Records the selected track(s)

jukebox_main_toolbar_rec.gif (331 bytes)

Play - Plays the track(s) in the playlist or Music Gallery, or on the CD. Double clicking on a track automatically starts play. Pressing Play when a track is playing will cause the track to restart. Pressing Play when playback is paused will cause the track to continue playing from the pause position.

jukebox_main_toolbar_play.gif (324 bytes)

Stop - Stops the current play or record operation, and defeats pause if selected.

jukebox_main_toolbar_stop.gif (538 bytes)

Pause - Pauses the current play or record. If already paused, pressing it again will continue playback from the pause position.

jukebox_main_toolbar_pause.gif (330 bytes)

Prev - Plays the previous track in the Playlist. When a track is already playing the playback will stop and the previous track will play.

jukebox_main_toolbar_previous.gif (337 bytes)

Next - Plays the next track in the Playlist. When a track is already playing the playback will stop and the next track will play.

jukebox_main_toolbar_next.gif (343 bytes)

Eject CD - Open and closes the CD ROM

jukebox_main_toolbar_eject.gif (320 bytes)

Playback Options

Repeat - Repeats the hi-lighted tracks in the Playlist. Cycles through the following options:

Repeat All Tracks -

Repeat One Track -

Don't Repeat -

The current status is displayed in the Status Bar.

jukebox_main_toolbar_repeat.gif (342 bytes)

Shuffle - Shuffles the Play and Record track order.

The current status is displayed in the Status Bar.

jukebox_main_toolbar_shuffle.gif (343 bytes)

Viewer Controls

TreeView - Opens a TreeView of the WinRip

jukebox_main_toolbar_treeview.gif (348 bytes)

Upward: Moves up the TreeView, or if the TreeView is not active then moves up through the snapin area

jukebox_main_toolbar_upwards.gif (340 bytes)

New Playlist: Loads the New Playlist dialog box

jukeboxmode_toolbar_newplaylist.gif (767 bytes)

Select All: Selects all the tracks in the Snapin Area

jukebox_main_toolbar_selectall.gif (334 bytes)

Select None: Deselects any selected tracks in the Snapin Area

jukebox_main_toolbar_selectnone.gif (333 bytes)

IDI Controls

IDI Editor: Loads the IDI Editor

jukeboxmode_IDI_editor.gif (548 bytes)

Backward - Moves backward through the IDI pages.

jukebox_main_toolbar_backwards.gif (268 bytes)

Forward: Moves forward through the IDI pages.

jukebox_main_toolbar_forwards.gif (267 bytes)

IDI Display Pause: Disables response to any new IDI page commands from IDI content. Useful for preventing new pages from interfering when browsing the current page.

jukeboxmode_IDI_editor.gif (548 bytes)

Window Controls

DSP: Opens the DSP Window. Sound effects include Hall, Vocal, Rock, Soft, Bass, Surround, Echo, and Key shift.

jukebox_main_toolbar_dsp.gif (349 bytes)

Player Mode: Switches from JukeBox to Player Mode

jukebox_main_toolbar_playermode.gif (327 bytes)

Related topics

  • Transport Controls
  • Creating a New Playlist
  • IDI


TreeView

TreeView (JukeBox Mode)

The WinRip TreeView can be enabled from the TreeView icon in the Toolbar jukebox_main_toolbar_treeview.gif (348 bytes).

TreeView gives a tree structure user interface of the Audio CD, Music Gallery, Mixer, Playlist, Web Links, IDI, and any other installed modules, and lets the user expand and close branches of the tree to easily see and manipulate the content using Drag and Drop.

jukebox_main_screen_treeview.gif (4247 bytes)


Shortcut Menus

Shortcut Menus (JukeBox Mode)

The WinRip Shortcut Menu buttons gives quick access to the following WinRip JukeBox functions.

jukebox_main_shortcutmenu.gif (11932 bytes)

  • Home
  • Audio CD
  • Music Gallery
  • Mixer
  • Playlist
  • Web Links
  • IDI

Related topics

  • JukeBox


Status Area

Status Area (JukeBox Mode)

The WinRip Status Area displays the status of WinRip, whether it is currently Playing, Recording,etc, along with Volume, Time elapsed and kbps. The Status area is located below the Snapin area.

jukebox_main_screen_statusarea.gif (2356 bytes)

Related topics

  • Snapin Area


IDI Editor

The IDI (InterVideo Data Injection) Editor allows text to be injected in *.wav and *.mp3 files for display in the Snapin area at a specified time.

The IDI editor is accessed from the IDI Editor icon jukeboxmode_IDI_editor.gif (548 bytes) in the JukeBox Toolbar, or from right-clicking on a track and selecting IDI Editing in either the Music Gallery or from the Audio CD Player/Encoder.

jukebox_rightclick_idi_edit.gif (1216 bytes)

Selecting IDI Editing loads the IDI Editing screen in the Snapin area.

jukebox_idi_edit_screen.gif (4221 bytes)

Enter the text that is to be displayed in the Content column. Double clicking in any Content field will allow text information to be entered in that field.

Alternately, use the Import button to load an existing text file into the editor. Each line of the text file with show up on a a different line in the IDI editor. If each line in the text file is preceded by a time tag, the time tages will also be imported. Otherwise, it is necessary to set the time event for each line of text.

Setting The Text Display Timing

Selecting the Play option in the IDI Editor plays the track so that event timing can be set dynamically. Clicking on the relevant Time cell as the track is playing will set the Time for that cell to the current (playing) time. Alternately, selecting (high-lighting) a line and selecting "Set Time" will set the time for that line and then advance to the next line.

Selecting OK links the IDI Editing table information to the current track, now ready for recording. The injection status is displayed in the IDI column in the Music Gallery or Audio CD Snapin.

Selecting Record starts the encoding and injection process.

jukebox_idi_edit_track.gif (2382 bytes)

When the track is played and the IDI viewing option is selected (from the Shortcut menu, the Tree View, or by default in Preferences) the text (and any other information) is displayed in the Snapin area.

Related topics

  • IDI


Database

CDDB (CD Database)

When playing an Audio CD, WinRip automatically links the Audio CD with the Gracenote CDDB2 music database, which provides information such as Artist name, Album name, Track Name and more.

An Internet connection is required to access the CDDB2 database the first time a CD is inserted.

Once the CDDB2 information (Artist, Album, Track names and Genre) has been received, it is stored locally and an Internet connection will not again be needed to display the information about that CD. If the CDDB2 database is not accessible when a particular CD is first inserted, this information will not automatically be available the next time the CD is inserted, and it will be necessary to select the CDDB Access button to again request the information from the CDDB2 database.

The CDDB2 databasecan also be used to get additional information about a particular CD or Artist, such as Cover Art, Discography, Biography, and more.

Related topics

  • CDDB The #1 CD Info Source


Using CDDB - CDDB The #1 CD Info Source

Using CDDB

CDDB The #1 CD Info Source

WinRip use the CDDB2 Disc Recognition ServiceSM (DRS) from CDDB, Inc. to get the artist, title, track, credit, and other information about the CDs you play. This service is FREE and automatic. The first time you use the service, you must register with CDDB.

To register with CDDB, just play a CD with WinRip™. The CDDB Registration Wizard appears automatically. Follow the screens for a ¡§New Registration¡¨ to select a ¡§nickname¡¨ and password. The remaining information is optional, but does help CDDB provide better service.

Once you register, you do not have to re-register, unless you want to change your registration information or settings.

To change your CDDB registration information, go to the WinRip CD Audio control page, right click the CDDB icon to change your CDDB registration information.

To see or edit the full CDDB2 information for a CD, go to the WinRip CD Audio control page, right click the CDDB icon to change your CDDB registration information.

For more complete instructions on using the CDDB service, click here.

CD-related data through the Internet from CDDB™ Music CD Database,
Copyright 1999, 2000 CDDB, Inc. CDDB Client Software, Copyright 1999, 2000 CDDB, Inc.
CDDB-Enabled, CDDB and the CDDB2 Logo are trademarks of CDDB, Inc.
Disk Recognition Service and DRS are service makes of CDDB, Inc.


Preferences

Selecting Preferences from the Properties pulldown menu loads the InterVideo WinRip Preferences dialog box, this dialog box contains various tabs with settings that can be set by the user, so WinRip has defaults that match the way the user works.

winrip_t_jukebox_properties.gif (7574 bytes)

General tab

Audio CD Playback Method - This allows the user to set the default Audio CD play method, either MCI or CDDA (default).

JukeBox Mode - Place a check in the desired box to enable the following features when in Juke Box mode:

Auto Switch to IDI Page - When a song containing IDI data (text and/or web pages) is played in JukeBox Mode, WinRip will automatically display the IDI snapin. See IDI.

Auto Import Current playing file to Music Gallery - If you load a file into a playlist from someplace other than the Music Gallery (using the File Menu) and then play that file, the file will be added to the Music Gallery. (The Music Gallery is only visible in JukeBox Mode).

Enable CDDB Connecting - To use the CDDB database to automatically get Album, Artist and Tracks names for your CDs, you need to make an Internet connection at the time the CD is first inserted. If you do not want to make this connection automatically, you should uncheck this item.

Recording tab

Recording Format - Recording Format allows the user to set which record file format to use, the two options are Record to WAV Format or Record & Compress to MP3 Format.

If the MP3 format is selected there is the option to select the MP3 Bitrate, with the following options: 320kbps, 256kbps, 224kbps, 192kbps, 160kbps, 128kbps (Default CD Quality), 112kbps, 96kbps, 80kbps, 64kbps. The higher the kbps value the better quality audio file and larger size.

If the MP3 format option is not available it is either because you did not register your copy of WinRip or because your trial period has expired. Please register or upgrade WinRip by selecting the appropriate option in the WinRip Help Menu (JukeBox Mode).

Recording Path - Determines the location of files recorded by WinRip, the location can be manually typed in, or the Browse button can used to select the default user Record Path location.

Recording is only available in JukeBox mode.

Skin tab

The Skins tab list the available Skins and the file path location. Skins only work in Player Mode.

Visual tab

This displays a listing of the installed visualization plugins along with their file name and path. WinRip can use many visualizations written for WinAmp.

The Module select box displays the available modules for each visualization and allows for configuration (if available).

Visualizations only work in Player Mode.

Associations tab

The tab displays a list of supported Audio file formats that can be associated with WinRip. When checked, double clicking any file with one of these extensions will cause WinRip to launch and play the associated file.

Related topics

  • Configuration Wizard


Configuration Wizard

Selecting the Configuration Wizard from the Properties pulldown menu loads the WinRip Configuration Wizard dialog box, which can be used to quickly set the users Preferences for recording and playback.

The File Type Setup dialog box allows the user to choose which audio file types are to be associated with WinRip. When selected, WinRip will be the application that is launched whenever one of these files is double clicked in Windows Explorer. The Select All button selects all the listed files, where the Select None deselects all the listed files.

jukebox_main_configwizard.gif (19347 bytes)

Selecting Next displays the Setting Record Path dialog box, which determines the location of files recorded by WinRip. If the default location is not desirable, a difference location can be manually typed in, or the Browse button can used to select the Record Path location.

jukebox_main_configwizard1.gif (18006 bytes)

Selecting Next displays the Recording Format Setup dialog box, which sets the default record file format.

The options are Record to WAV Format or Record & Compress to MP3 Format. If the MP3 format is selected, there is the option to select the MP3 Bitrate, with the following options: 320kbps, 256kbps, 224kbps, 192kbps, 160kbps, 128kbps (Default CD Quality), 112kbps, 96kbps, 80kbps, 64kbps. The higher the kbps value, the better the quality of the audio file and the larger its size.

The record file format can also be changed from the default using the Properties pull down menu and selecting Record Format.

jukebox_main_configwizard2.gif (17529 bytes)

Selecting Next displays the Finish dialog box and asks for confirmation that the settings are correct. From here, select Back to change or recap on the settings, Finish to accept any changes made, or Cancel to disregard any changes and leave the configuration untouched.

Related topics

  • Preferences


System Requirements

The following are recommended for best performance:

Performance: | Good | Better | Best
Processor:* | Intel Pentium II 266MHz | Intel Celeron 400MHz | Intel Pentium III 450MHz or better
RAM | 64Mb | 64Mb | 128Mb
Operating System: | Windows 98/98 SE/2000 and Windows Millennium
Sound: | Windows compatible sound card with line-in and line-out jack, and stereo loudspeakers for playing music
CD-ROM | Minimum 4x CD-ROM player recommended in CDDA mode for extracting music from music CDs
Hard Disc*: | 20Mb of free space for installation of the software and every 50Mb for storage space of 60 minutes music (base on MP3, 128 bit rates) If available, turn on DMA mode for hard disk drive (using your system's setup utility)
Internet Connection | An Internet connection is needed for online WinRip tools updates and Web Links connection.

* Total recording time depends on the available disk space. The better the record quality, the more disk storage space required.


WinRip Hotkey Table

The following are WinRip hotkey table:

WinRip comment | Player mode | Jukebox mode
Play | Enter | Ctrl + Alt + Shift + Enter
Pause | Space | Ctrl + Alt + Shift + Space
Stop | End | Ctrl + Alt + Shift + End
Last track | Page Up | Ctrl + Alt + Shift + Page Up
Next track | Page Down | Ctrl + Alt + Shift + Page Down
Volume up | Shift+ arrow up | Ctrl + Alt + Shift + arrow up
Volume down | Shift+ arrow down | Ctrl + Alt + Shift + arrow down
Mute | M | Ctrl + Alt + Shift + m
Repeat | R | Ctrl + Alt + Shift + r
Shuffle | S | Ctrl + Alt + Shift + s
DSP toggle | Ctrl + d | Ctrl + Alt + Shift + d
Exit app | X | Ctrl + Alt + Shift + x
Open laylist | Alt + p | Ctrl + Alt + Shift + p
Music Gallery |  | Ctrl + Alt + Shift + g
Audio CD |  | Ctrl + Alt + Shift + c
Record All CD |  | Ctrl + Alt + Shift + e
Select All |  | Ctrl + Alt + Shift + a
VIS toggle | Ctrl + v | Ctrl + Alt + Shift + v
Open files | Ctrl + o | Ctrl + Alt + Shift + o
Pop-menu | B | Ctrl + Alt + Shift + b
Player/Jukebox mode | Z | Ctrl + Alt + Shift + z
IVI URL | Ctrl + w | Ctrl + Alt + Shift + w
Help | F1 |
Skin browser | Alt + S |
Properties pages | O |
IDI Page |  | Ctrl + Alt + Shift + i
IDI Page Backward |  | Ctrl + Alt + Shift + arrow left
IDI Page Forward |  | Ctrl + Alt + Shift + arrow right


Adding Tracks to the Music Gallery

1. Select the Music Gallery icon from the main shortcut menu or select Music Gallery in Tree View.

2. Select the Import Wizard within the Music Gallery

3. Select the Browse button from the Import Wizard dialog box

4. In the Browse for Folder dialog box browse to the search location and select OK, this will take the user back to the Import Files dialog box

5. Select the relevant files in the Media Types section of the Import Files dialog box

5. Select the Start Search button. The number of files found and loaded is displayed

3. Close the Import Wizard to return to the Music Gallery

4. Selecting Tracks, Artists, CD Title, or Genre displays the loaded tracks based on the selected option

The track list display order can be changed by selecting one of the following title headings:

Track Name, Artist, Album, CD Track No, Length, Format, Quality, File Size, File Name.

Related topics

  • Playing a Track from the Music Gallery
  • Removing a Track from the Music Gallery
  • File Conversion from the Music Gallery


Adding Tracks to a Playlist

A Playlist is where tracks are assembled for sequenced and automatic playback. There are three ways to add tracks to a Playlist.

From the Audio CD or Music Gallery track list, select the track(s) to be added to the playlist, right-click and from the right-click shortcut menu select Add to Playlist, and from the menu sub-menu select the Playlist to add the selected tracks to.

jukeboxmode_add_to_playlist.gif (3028 bytes)

From the TreeView directory, you can drag and drop tracks to any Playlist from the Audio CD, Music Gallery and other Playlists.

From the Toolbar, you can add files to the default playlist (Current Playlist) by selecting the File menu, then Add File to Playlist or Add Folder to Playlist.

Tip: Hold down the Ctrl or Shift key while clicking on the tracks to select multiple tracks.

Related topics

  • Creating a new Playlist
  • Playlist
  • Player Mode Playlist


Copyright

©1998-2000 InterVideo, Incorporated. All rights reserved.


Drag and Drop

Drag and Drop (JukeBox MOde)

WinRip allows you to drag and drop files within TreeView, and from Windows Explorer to the Playlist Snapin.

For example, with TreeView open and the relevant branches expanded, click on an item in a Music Gallery branch and hold down the mouse button while dragging the track to a Playlist branch. This will add the track to the chosen Playlist.

Other Drag and Drop operation:

1. Windows Explorer to Playlist

2. One Music Gallery category to another category, which updates the track information to the new category

3. Audio CD track to Music gallery, which records the track from the CD

4. Audio CD track to Playlist, which records the track from the CD


DSP Sound Effects

DSP Sound Effects (Jukebox Mode)

WinRip includes DSP sound effects to enhance music for various listening environments. All of the effects except for Key Shift work on MP3, WAV, CDA and MIDI formats.

Preset EQ (Equalization)

Hall, Vocal, Rock, Soft and Bass equalizations are provided.

Karaoke

This effect removes the lead vocal from certain songs, so the user can sing along.

The Surround effect creates an illusion that sound is coming from outside of the area where the speakers are placed. This is especially helpful for listening to stereo music on notebook computers or on desktops where the speakers are very close together.

The Echo effect can be used on some songs to create a bigger and more spatious sound.

Key Shift transposes the playback one musical step at a time, so that it is easier to sing or play along. It does not work on MIDI files.

Configuration

This is where Echo delay time and intensity is adjusted.

[SHOW CONFIGURATION OPTION]

Related topics

  • Player Mode DSP Sound Effects


Editing the Track information

Within the Music Gallery WinRip allows the following track information tags (ID3v1) to be edited:

Track name

Artist

Album

Genre

CD Track Number

To edit the track information in the Music Gallery:

1. Select a track from the All Tracks list

2. Right click on the selected track and select Edit Track Info from the shortcut menu

jukebox_main_screen_edittrack.gif (3109 bytes)

3. Type in the desired changes in the appropriate fields.

jukebox_main_screen_edittrack2.gif (8424 bytes)


Folder Open

Add Folder to Playlist (Player Mode)

Right-Clicking within any area of the PlayerMode's user interface displays the Right-Click menu. Within this Right-Click menu is the "Add Folder to Playlist" option that loads the Browse for Folder dialog box and allows the user to browse to a Windows Folder. All applicable Files in the Folder will be loaded into the current Playlist.

player mode menu open files folder open.gif (19280 bytes)


File Open

Add Files to Playlist (Player Mode)

Selecting "Add Files to Playlist" from Player Mode's right-click menu loads the Open dialog box and allows the user to browse, select and load one of the following supported file formats:

  • MPEG Play List file(s) (*.M3U)

  • Play List files (*.Pls)

  • CDDA File (*.cda)

  • MIDI File (*.mid)

  • MPEG-1 layer2 File (*.MP2)

  • MPEG-1 layer1 File (*.MP1)

  • MPEG-1 layer3 File (*.MP3)

  • MIX File (*.mix)

  • WAV Audio File (*.WAV)

player mode menu open files file open.gif (19487 bytes)


Playing a Track from the Music Gallery

There are a number of ways to start playing a track:

1. Double clicking on a track automatically starts playing the track.

2. Right click on the relevant track and select Play from the shortcut menu.

3. Click the Play icon on the toolbar

4. Select Play from the Playback pulldown menu

Related topics

  • Adding Tracks to the Music Gallery
  • File Conversion & Recording
  • Removing a Track from the Music Gallery


Recording a Track from the Music Gallery

File Conversion & Recording from the Music Gallery

It is easy to convert files between MP3 and other formats right in the Music Gallery, using the Record option.

If the Record Format (see Preferences) is set for MP3, then WAV and CDA format tracks in the Music Gallery can be converted to MP3 format by choosing a track and then selecting the Record Icon from the Toolbar (or Record from the Playback pulldown menu).

If the Record Format is set for WAV, then MP2 and CDA format tracks can be converted to MP3 using the same procedure.

Related topics

  • Playing a Track from the Music Gallery

  • Removing a Track from the Music Gallery

  • Adding Tracks to the Music Gallery


Removing a Track from the Music Gallery

To Remove a Track from the Music Gallery:

1. Select the relevant track from the track list.

2. Right click and select Remove from the shortcut menu.

3. After selecting Remove, the Delete Confirm dialog box appears.

4. If the "Also delete file(s) from storage" box is checked the file is also removed from the drive, permanently

5. When the above box is checked, the "delete Read only file(s) too" option is displayed. If this box is checked, any files that are read only (protected from being erased or overwritten) are also deleted.

6. Selecting YES removes the track from the Music Gallery (and deletes the file from storage if selected). Selecting NO cancels the command

Related topics

  • Playing a Track from the Music Gallery

  • File Conversion from the Music Gallery

  • Adding Tracks to the Music Gallery


Help

Help Mneu (JukeBox Mode)

The Help pull down menu contains useful information to help with the use of WinRip.

This is also where connection to the InterVideo web site can be made to activate or upgrade WinRip.

jukebox_main_menubar_help.gif (730 bytes)

Help - Loads this WinRip Help file.

InterVideo Web Page - This loads a web browser with the InterVideo home page URL http://www.intervideo.com/

InterVideo Support - This loads a web browser with the InterVideo Support home page URL http://www.intervideo.com/jsp/Support.jsp

Product Registration - If your product has not been registered you can click here to go to the InterVideo web site and register. Registering WinRip is required in order top have full access to certain features.

Purchase WinRip - If you are using a Free Trail version of WinRip, this option connects you to the InterVideo web site to "activate" the disabled features when the trial period expires.

About - This loads the About dialog box, which displays WinRip version number and copyright information


Home

Home (JukeBox Mode)

jukebox_main_screen_home.gif (1020 bytes)

Selecting HOME from the WinRip shortcut menu loads the Home screen into the WinRip Snapin Area.

Play/Record Audio CD - Lists the contents of the Audio CD and allows a track(s) to be selected for playback or recording. If there is more than one CD drive, you can select the desired one here.

Mixer - WinRip's Mixer allows you to control record and playback volumes for all audio sources in your PC. You can also record any source to your hard drive as MP3 or Wave audio using WinRip's Mixer

Web Links - Recommended links to web sites offering downloadable music, CDs, artist news and information and more.

Music Collection - Displays the Music Gallery and helps you create your music database, storing information about the audio tracks in your Music Gallery

Now Playing - Displays your playlists.

View IDI - Allows you to view data embedded in MP3 tracks using Intervideo's Data Injection Technology, such as song lyrics, promotional offers, and web pages containing artists bios, tour info and more.


Playback

Playback Menu (JukeBox Mode)

The Playback pull-down menu contains the following play controls:

jukebox_main_menubar_playback.gif (1860 bytes)

Play Audio CD - Starts playing the Audi CD

Record - Starts recording the selected track

Play - Plays the selected track(s)

Pause - Pauses play

Stop - Stops Play

Previous - Starts playing the previous track in the list

Next - Starts playing the next track in the list

Mute - Turns off the volume

Increase Volume - Increases the volume

Decrese Volume - Decreases the volume

Repeat One - Repeats the current track

Repeat All - Repeats all tracks in the list

Shuffle - Plays the tracks in the list in a random order

Related topics

  • Toolbar
  • Transport Controls


Properties

Properties Menu (JukeBox Mode)

The Properties pull-down menu gives the user the ability to create default settings based on the their own way of working.

jukebox_main_menubar_props.gif (785 bytes)

Record Format - This allows the user to specify the default recording format, the two choices are WAV or MP3, the tick next to the format shows which one is current.

jukebox_main_menubar_props_recf.gif (255 bytes)

Record Path - This specifies the default record location. Selecting this option loads the Browse for Folder dialog box and allows the user to specify a default folder for recorded files.

Configuration Wizard - Loads the Configuration Wizard

Preferences - Loads Preferences


Menubar Edit

Edit Menu (JukeBox Mode)

The Edit pulldown menu contains options which allow the user to Search, Select, Rename, create New Playlists and Append to existing Playlists and Move tracks poistions in a Playlist.

jukebox_main_menubar_edit.gif (1543 bytes)

Search - Loads the Music Gallery Search function.

Select All - Select all the tracks in the Snapin Area.

Select None - Deselects all the selected tracks in the Snapin Area.

Rename - Renames the track title of the selected track. The track title can also be changed by Right-Clicking on the relevant track and selecting Edit Track Info.

Track Info - Allows the user to change the Track Info

New Playlist - Loads the New PlayList dialog box which allows the user to create a new PlayList.

Add to Playlist - Adds the selected track to the current PlayList.

Move Up - Allows the track position to be moved up in the PlayList.

Move down - Allows the track position to be moved down in the PlayList.

Related topics

  • Editing the Track information
  • Playlist
  • Searching the Music Gallery


Menubar Files

File Menu (JukeBox Mode)

The Files pull-down menu gives options for Opening, Saving, Deleting, Importing and Removing files.

jukebox_main_menubar_file.gif (1489 bytes)

Add Files to Playlist

Allows the loading of Audio files (*.mp3, *.wma, *.ra, *.wav, *.mid, *.cda), and Playlist files (*.pls.) to the current Playlist.

Add Folder to Playlist

Selecting this option loads the Browse for Folder dialog box and allow the user to browse to a Windows Folder. All the applicable files in that Folder will be added to the current Playlist.

Open Existing Music Gallery

Opens a WinRip Music Gallery database file (*.xml)

Delete Current Music Galery

Deletes all data in the Music Gallery.

Save Current Music Gallery

Save the current Music Gallery database. Useful if you make some important changes and you want to make sure they are immediately saved.

SaveAs

Saves the current Music Gallery database to another file name. Useful for backing up the database.

Import Music Files

Allows the user to search drives and directories for MP3 Files (*.mp3, *.pls, *.m3u), WAVE Files (*.wav) and MIDI Files (*.mid).

Remove Missing Files

Removes all entrie in the Music Gallery that do not have associated files. This condition can occur when files are deleted or moved on the hard drive after having been imported into WinRip.

Eject Audio CD

Opens and closes the CD drive.

Exit

Closes the WinRip program.

Related topics

  • File Open (Player Mode)


Menubar View

View Menu (JukeBox Mode)

The View pulldown menu:

jukebox_main_menubar_view.gif (1675 bytes)

Home - Loads the WinRip Home screen into the Snapin Area

Audio CD - Loads the WinRip Audio CD Player/Ripper into the Snapin Area

Music Gallery - Loads the WinRip Music Gallery into the Snapin Area

Mixer - Loads the WinRip Mixer into the Snapin Area

PlayList - Loads the WinRip PlayList into the Snapin Area

Web Links - Loads the WinRip Global Music into the Snapin Area

IDI - Loads the WinRip IDI into the Snapin Area

Return to Player Mode - Loads the WinRip Player Mode

Player Mode - Loads the WinRip PlayerMode with one of the Skins.

TreeView - The WinRip TreeView displays the main screen menus in a tree format, this allows the user to easily see the contents of each category, it also allows movement between different categories of WinRip and to drag and drop tracks from one category to another quickly and easily.

Related topics

  • Shortcut Menus
  • TreeView
  • Player Mode


Playing an Audio CD

Playing a CD (JukeBox Mode)

Select the AUDIO CD option from the WinRip main shortcut menu:

1. Select the relevant track from the track list

2. Once the track is selected there are various methods to start the track playing:

Right-Click on the track and select Play from the shortcut menu

jukebox_main_screen_audiocd_play1.gif (3399 bytes)

After selecting the relevant track select the Play icon from the toolbar

jukebox_main_screen_audiocd_play2.gif (1270 bytes)

After selecting the relevant track select Play from the Playback pulldown menu

jukebox_main_screen_audiocd_play3.gif (2515 bytes)

After selecting the relevant track press the Enter key on the keyboard


PlayBack

Playback Menu (Player Mode)

Selecting Playback from the Player Mode right-click menu displays a sub-menu containing the following options:

player mode menu playback v1027.gif (21640 bytes)

Previous [PgUp] - Plays the previous track in the PlayList. Pressing the PageUp key on the keyboard also plays the previous track in the PlayList.

Play [Enter] - Starts playing tracks from the PlayList. Pressing the Enter key on the keyboard also starts playing the PlayList.

Pause [Space] - Pauses the play. Pressing the spacebar on the keyboard also pauses the play.

Stop [End] - Stops the play. Pressing the End key on the keyboard also stops the play.

Next [PgDown] - Plays the next track in the PlayList. Pressing the PageDown key on the keyboard also plays the next track in the PlayList.

The submenu also includes options for controlling the playback volume:

Volume Up [Shift + Up Cursor] - Raises the volume one step.

Volume Down [Shift + Down Cursor] - Lowers the volume one step.

Volume Mute [M] - Mutes the output.

Related topics

  • Transport Controls


Play CD (Player Mode)

Right-Clicking within any area of the PlayerMode's user interface displays the Right-Click menu. Within this Right-Click menu is the option "Play CD". Selecting this automatically starts playing the CD.

player mode menu playing cd v1027.gif (24097 bytes)

Related topics

  • Playing an Audio CD
  • Playing a track from the Music Gallery


Play/Rec Audio CD

Play/Record Audio CD

Within the Jukebox mode select Audio CD from the WinRip main menu, selecting a track and right clicking displays the shortcut menu with the following options:

Play: Plays the track(s) in the playlist. Double clicking on a track automatically starts play

Record: Records the selected track(s)

Stop: Stops the current play or record

Pause: Pauses the current play or record

Add to Playlist: Adds the selected tracks to the current playlist

Edit Track Info: Change the Track title - selecting the track and then double clicking also edits the track info

IDI Editing: Edit InterVideo Data Injection (IDI), this allows WinRip encoded MP3 files to include embedded HTML, Shockwave, images, song lyrics, digital watermarks and other data or protection

Multiple tracks can be selected by using the Shift or Ctrl keys while selecting the tracks. Whilst playing the track information is displayed below the track list window, if no information exists, [unknown / unknown] is displayed along with the track title.

To record from a CD:

1. Insert the Audio CD

2. From the Properties pulldown menu select the Record Format - wav or mp3, and the Record Path

3. Select the track(s) and then record from the either the right click shortcut menu, the toolbar or the Playback pulldown menu

The file will be stored the location specified in Properties > Record Path, then ..\Artist\Album\Track name.mp3/wav.

When recording tracks disable all the DSP and Visual settings.


Changing the Track List sort order

The track list sort order can be changed by selecting one of the title heading columns, these headings will change depending on which Shortcut menu options has been selected. When selecting a title heading order the Alpha / Numeric order will changed.


Playback Status

Right-Clicking within any area of the PlayerMode's user interface displays the Right-Click menu. Within this menu is the "Playback Status" option, selecting Playback Status displays a sub-menu containing the options: Repeat R, Repeat 1, Shuffle S.

player mode menu playback status.gif (22935 bytes)

Repeat R - Repeats all the tracks in the PlayList. Pressing the R key on the keyboard also repeats all tracks in the playlist.

Repeat 1 - Repeats the current track in the PlayList.

Shuffle S - Shuffles the order in which the tracks in the PlayList are played. Pressing the S key on the keyboard also shuffles the play order of tracks in the PlayList.

Related topics

  • Playback
  • Toolbar


Right-Click Description

Right-Click Menu (Player Mode)

Right-Clicking on any area of the WinRip PlayMode user interface displays the Right-Click menu and includes the following features:

player mode right click menu v1027.gif (23266 bytes)

  • Playing CD

  • Playback

  • Playback Status

  • Skins

  • View

  • JukeBox mode


Searching the Music Gallery

WinRip contains the ability to search for tracks in the Music Gallery, to search for tracks within the Music Gallery:

1. Select the Music Gallery icon from the menu screen and then the Search icon, or from the File Edit pull-down menu select search

jukebox_main_screen_search.gif (2673 bytes)

2. This takes you to the Search page, which contains a Keyword field

jukebox_main_screen_search1.gif (1362 bytes)

3. In this Keyword field, enter a relevant keyword relating to the track(s) you are searching for and press the Enter key

4. Any tracks which match the keyword criteria are displayed in the Search page

Form here you can Play, Record, append to Playlist and Edit Track Info by right clicking on the track.

Related topics

  • Adding Tracks to the Music Gallery
  • Playing a Track from the Music Gallery
  • Recording a Track from the Music Gallery
  • Removing a Track from the Music Gallery


TrackInfo

Audio CD

Selecting Track Info while in the Audio CD has the same affect as using Rename, and allows the user to rename the track name.

Music Gallery

Selecting Track Info while in the Music Gallery loads the Music Gallery Editor dialog box and allowsthe user to change the Artist, Album, Track Name, Genre and Track no. If avialable the Music Editor dialog box also displays information on FileName, Length, Format, Quality, File size.

PlayList

Selecting Track Info while in the PlayList displays the Track Information dialog box, which contains information on Track Title, Artist Name, Album Title, File Location, Genre, File Size, Qualilty, Sampling Rate, Year of Album and Format.


Transport Controls

The Player Mode user interface contains various track transport controls which include the following:

jukebox_transport.gif (11748 bytes)

Previous - Moves back one track and starts playing

Play - Starts playing the track

Pause - Pauses play

Stop - Stops play

Next - Moves forward one track and starts playing

Related topics

  • Playback Menu & Hotkeys
  • Toolbar


Track Order

The track list sort order can be changed by selecting one of the title heading columns in the Music Gallery, these include:

Track Name

Artist

Album

CD Track No

Length

Format

Quality

File Size

File Name


View

View Menu (Player Mode)

Right-Clicking within any area of the Player Mode's user interface displays the Right-Click menu. Within this Right-Click menu is the "View" option, selecting View displays the sub-menu containing options for viewing visualizations and DSP plugins.

Within the View sub-menu the Playlist and DSP/Visual options can be opened and closed by selecting the relevant option, this adds or removes a tick, a tick shows that the option is loaded.

The installed Visualizations will be listed at the bottom of the submenu. The currently enabled visualization is indicated by a check mark. To change visualizations simply select the desired visualization.

player mode menu view v1027.gif (23829 bytes)

Playlist [Alt+P] - Controls whether the Playlist is displayed. Pressing the Alt+P key on the keyboard also toggles the PlayList display on and off.

Toggle DSP/Visual [Alt+D] - Controls whether the WinRip DSP/Visual plugin is displayed. Pressing the Alt+D key on the keyboard also toggles the display on and off.

Note: The behavior of the WinRip DSP/Visual plugin is also dependent on what other Visualizations or DSP plugins have been installed and enabled.

Related topics

  • Adding Tracks to a PlayList
  • Creating a new Playlist
  • Playlist